# signame: Set this to one of the following:
#   * Short name or abbreviation of SIG (if single purpose and/or multirepo)
#   * Short name or abbreviation + qualifier (eg, like -common)
#   * Software name, plus version if applicable (eg glusterfs10)
# elmajor: Set the EL major version this targets
# relver:  Set this to the revision for this package. Starts at 1.
# See README.md in the template root for more information.
%global signame  altarch
%global elmajor  8
%global relver   5
%global sigsum   Common files and repos for AltArch

# If you have other global variables, set them here.

# Release package for a particular SIG
Name: rocky-release-%{signame}
Version: %{elmajor}
Release: %{relver}%{?dist}
Summary: %{sigsum}

# License is based on the Rocky License chosen for the distribution
# and not the software itself
License: BSD-3-Clause

# These generally shouldn't be changed. However, they can be appended.
BuildArch: noarch
Requires: rocky-release
Provides: rocky-release-%{signame} = %{elmajor}

# All sources - Every DNF repo file must start with "Rocky-SIG" and should not
# conflict with other repo files (eg in the case of extra versions).
# Every GPG key should start with "RPM-GPG-KEY-Rocky" - The key is obtained by
# exporting from the build system.
Source0: RPM-GPG-KEY-Rocky-SIG-AltArch
Source1: Rocky-SIG-AltArch-Common.repo
Source2: Rocky-SIG-AltArch-Devel.repo

%description
This package contains the release files for the AltArch group.

%prep

%build

%clean
%{__rm} -rf %{buildroot}

%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE2}

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Rocky-SIG-AltArch
%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-SIG-AltArch-Common.repo
%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-SIG-AltArch-Devel.repo

%changelog
* Thu Nov 02 2023 Louis Abel <label@rockylinux.org> - 8-5
- Add testing repos

* Wed Dec 21 2022 Louis Abel <label@rockylinux.org> - 8-3
- Add debug and source repos

* Mon Dec 19 2022 Louis Abel <label@rockylinux.org> - 8-2
- Add devel repository

* Mon Jul 18 2022 Louis Abel <label@rockylinux.org> - 8-1
- Initial creation of SIG Release Package
